package cz.mendelu.dnaAnalyser.email.service;

import cz.mendelu.dnaAnalyser.email.model.Email;
import org.apache.commons.mail.EmailException;
import org.apache.commons.mail.SimpleEmail;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

@Service
public class EmailService {

    @Value("${email.smtp}")
    private String smtp;

    @Value("${email.port}")
    private int port;

    @Value("${email.from}")
    private String from;

    @Value("${email.disabled}")
    private boolean disabled;

    public String sendEmail(Email data) {
        if (disabled) {
            return "disabled";
        }

        try {
            SimpleEmail email = new SimpleEmail();
            email.setHostName(smtp);
            email.setSmtpPort(port);
            email.setFrom(from);
            email.setSubject(data.getSubject());
            email.setMsg(data.getContent() /*"Your account:" + u.getEmail() + "\r\nYour new password is: " + newPass */);
            email.addTo(data.getReceiver());
            return email.send();
        } catch (EmailException e) {
            throw new UnsupportedOperationException("FIXME: Not solved yet", e);
        }
    }
}
